import 'package:chat/photo/entity/options.dart';
import 'package:chat/photo/provider/config_provider.dart';
import 'package:chat/photo/ui/page/photo_main_page.dart';
import 'package:flutter/material.dart';

import 'package:photo_manager/photo_manager.dart';


class PhotoApp extends StatelessWidget {
  final Options options;

  final List<AssetPathEntity> photoList;
  const PhotoApp({
    Key key,
    this.options,

    this.photoList,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return PhotoPickerProvider(

      options: options,
      child: PhotoMainPage(
        onClose: (List<AssetEntity> value) {
          Navigator.pop(context, value);
        },
        options: options,
        photoList: photoList,
      ),
    );
  }
}
